Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 332681 - sys-libs/tdb-1.2.1 doesn't respect ldflags
Summary: sys-libs/tdb-1.2.1 doesn't respect ldflags
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High QA (vote)
Assignee: Patrick Lauer
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: ldflags
  Show dependency tree
 
Reported: 2010-08-13 22:49 UTC by Markos Chandras (RETIRED)
Modified: 2010-08-14 20:22 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,23.29 KB, text/plain)
2010-08-13 22:49 UTC, Markos Chandras (RETIRED)
Details
Diff from tdb-1.2.1.ebuild (tdb.diff,418 bytes, text/plain)
2010-08-14 00:19 UTC, Dane Smith (RETIRED)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Markos Chandras (RETIRED) gentoo-dev 2010-08-13 22:49:18 UTC
See attached log
Comment 1 Markos Chandras (RETIRED) gentoo-dev 2010-08-13 22:49:45 UTC
Created attachment 242869 [details]
build.log
Comment 2 Dane Smith (RETIRED) gentoo-dev 2010-08-14 00:19:52 UTC
Created attachment 242873 [details]
Diff from tdb-1.2.1.ebuild

Makefile.in was already getting fixed by the sed line in src_prepare. All that was missed was the sneaky file that got imported a few lines earlier. Changed the sed line to make sure both files get fixed to respect LDFLAGS.

Here is the diff from tdb-1.2.1.ebuild in the main tree. Hope it helps =)
Comment 3 Markos Chandras (RETIRED) gentoo-dev 2010-08-14 20:22:23 UTC
+*tdb-1.2.1-r1 (14 Aug 2010)
+
+  14 Aug 2010; Markos Chandras <hwoarang@gentoo.org> +tdb-1.2.1-r1.ebuild:
+  Revbump to respect LDFLAGS. Thanks to Dane Smith <smithdanea@gmail.com>
+  for the patch
+